import App from './App';
import { createSSRApp } from 'vue';
import { createI18n } from 'vue-i18n'
import { setupPinia } from './sheep/store';
import messages from './locale/index'

uni.setLocale('en');
let i18nConfig = {
  locale: 'en',
  messages
}

const i18n = createI18n(i18nConfig)
export function createApp() {

  const app = createSSRApp(App);
  app.use(i18n)
  setupPinia(app);

  return {
    app,
  };
}
